org.jbpm.marshalling.impl

## Class JBPMMessages

- java.lang.Object
- - org.jbpm.marshalling.impl.JBPMMessages

-     public final class JBPMMessages
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.IterationLevel` Protobuf type `org.jbpm.marshalling.IterationLevel`
    `static interface` | `JBPMMessages.IterationLevelOrBuilder`
    `static class` | `JBPMMessages.ProcessInstance` Protobuf type `org.jbpm.marshalling.ProcessInstance`
    `static interface` | `JBPMMessages.ProcessInstanceOrBuilder`
    `static class` | `JBPMMessages.ProcessTimer` Protobuf type `org.jbpm.marshalling.ProcessTimer`
    `static interface` | `JBPMMessages.ProcessTimerOrBuilder`
    `static class` | `JBPMMessages.Variable` Protobuf type `org.jbpm.marshalling.Variable`
    `static class` | `JBPMMessages.VariableContainer` Protobuf type `org.jbpm.marshalling.VariableContainer`
    `static interface` | `JBPMMessages.VariableContainerOrBuilder`
    `static interface` | `JBPMMessages.VariableOrBuilder`
    `static class` | `JBPMMessages.WorkItem` Protobuf type `org.jbpm.marshalling.WorkItem`
    `static interface` | `JBPMMessages.WorkItemOrBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PROC_TIMER_FIELD_NUMBER`
    `static int` | `PROCESS_INSTANCE_FIELD_NUMBER`
    `static int` | `PROCESS_TIMER_FIELD_NUMBER`
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessInstance>>` | `processInstance` `extend .org.drools.core.marshalling.ProcessData { ... }`
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessTimer>>` | `processTimer` `extend .org.drools.core.marshalling.ProcessData { ... }`
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.Timers.Timer,JBPMMessages.ProcessTimer>` | `procTimer` `extend .org.drools.core.marshalling.Timers.Timer { ... }`
    `static int` | `TIMER_ID_FIELD_NUMBER`
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,Long>` | `timerId` `extend .org.drools.core.marshalling.ProcessData { ... }`
    `static int` | `WORK_ITEM_FIELD_NUMBER`
    `static com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.WorkItem>>` | `workItem` `extend .org.drools.core.marshalling.ProcessData { ... }`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROCESS_INSTANCE_FIELD_NUMBER

          public static final int PROCESS_INSTANCE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### processInstance

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessInstance>> processInstance

      `extend .org.drools.core.marshalling.ProcessData { ... }`

    - #### WORK_ITEM_FIELD_NUMBER

          public static final int WORK_ITEM_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### workItem

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.WorkItem>> workItem

      `extend .org.drools.core.marshalling.ProcessData { ... }`

    - #### TIMER_ID_FIELD_NUMBER

          public static final int TIMER_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### timerId

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,Long> timerId

      `extend .org.drools.core.marshalling.ProcessData { ... }`

    - #### PROCESS_TIMER_FIELD_NUMBER

          public static final int PROCESS_TIMER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### processTimer

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.ProcessData,List<JBPMMessages.ProcessTimer>> processTimer

      `extend .org.drools.core.marshalling.ProcessData { ... }`

    - #### PROC_TIMER_FIELD_NUMBER

          public static final int PROC_TIMER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### procTimer

          public static final com.google.protobuf.GeneratedMessage.GeneratedExtension<org.drools.core.marshalling.impl.ProtobufMessages.Timers.Timer,JBPMMessages.ProcessTimer> procTimer

      `extend .org.drools.core.marshalling.Timers.Timer { ... }`

  - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.